--- title: "Get All Job Pools" url: https://docs.catalyst.zoho.com/en/api/code-reference/job-scheduling/jobpool/get-all-jobpool/ description: "This API enables you to retrieve details of all the Job Pools present in the project." last_updated: 2026-10-06T06:21:49Z service: Job Scheduling type: api --- # Job Scheduling API [Job Scheduling](https://docs.catalyst.zoho.com/en/job-scheduling/help/jobpool/introduction/) is a Catalyst service that allows you to schedule [job submissions](https://docs.catalyst.zoho.com/en/job-scheduling/help/implementation/submit-instant-job/) and execute them in a Job Pool to trigger [Circuits](https://docs.catalyst.zoho.com/en/serverless/help/circuits/introduction/), Webhooks (any third-party URL), [Job Functions](https://docs.catalyst.zoho.com/en/serverless/help/functions/job-functions/), and [App Sail](https://docs.catalyst.zoho.com/en/serverless/help/appsail/introduction/) service's endpoints. # Get All Job Pools ### Description This API enables you to retrieve details of all the Job Pools present in the project. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/job_scheduling/jobpool - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.jobpool.READ ### Response Details The JSON response returns the metadata of all the Job Pools present in the project. The response will also contain the details of the user who created and last modified it. **Sample Request** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10278000000019013/job_scheduling/jobpool -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57” ``` **Sample Response** ```json { "status": "success", "data": [ { "type": "AppSail", "name": "TriggerMicroservice", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:51 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:51 PM", "capacity": { "number": "1" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823795" }, { "type": "Circuit", "name": "InventoryDataMaintaince", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:49 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:49 PM", "capacity": { "number": "3" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823699" }, { "type": "Webhook", "name": "VendorDataFetch", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:47 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:47 PM", "capacity": { "number": "3" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823632" }, { "type": "Function", "name": "VendorReminder", "created_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "created_time": "May 28, 2024 04:44 PM", "modified_by": { "zuid": "77941453", "is_confirmed": false, "email_id": "emmy@zylker.com", "first_name": "Amelia Burrows", "last_name": "", "user_type": "Admin", "user_id": "10108000000009004" }, "modified_time": "May 28, 2024 04:44 PM", "capacity": { "memory": "2048" }, "project_details": { "project_name": "ZylkerShipments", "id": "10108000003823392", "project_type": "Live" }, "id": "10108000003823563" } ] } ``` ### SDK Documentation [Get All Job Pool- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/job-scheduling/jobpool/get-all-job-pool/) [Get All Job Pool- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/job-scheduling/jobpool/get-all-jobpool/) [Get All Job Pool- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/job-scheduling/jobpool/get-all-jobpool/)